%global gitdate  20120218
%global gittag   e547893deebde5a1340a72bc05f19b9caab1774a
%global shorttag %(echo %{gittag} | cut -b -7)
%global user     nettoyeurny

Name:           jacknativeclient
Version:        0
Release:        0.11.%{gitdate}git%{?dist}
Summary:        Java bindings for JACK clients

License:        LGPLv3+
URL:            https://github.com/%{user}/%{name}/
Source0:        https://github.com/%{user}/%{name}/tarball/%{gittag}/%{user}-%{name}-%{gittag}.tar.gz

BuildRequires:  ant
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  java-javadoc
BuildRequires:  jpackage-utils

Requires:       java-headless
Requires:       jpackage-utils

%description
This package exposes the JACK audio interface to Java clients.

%package javadoc
Summary:        Javadoc documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description javadoc
Javadoc documentation for %{name}.

%prep
%setup -q -n %{user}-%{name}-%{shorttag}

# Remove prebuilt objects
rm -fr lib

# Change the load path as required by Fedora
sed -i "s|\(System.load\).*|\1(\"%{_libdir}/%{name}/libjacknative.so\");|" \
    src/com/noisepages/nettoyeur/jack/JackNativeClient.java

%build
# Build the Java interface
ant javah

# Build a jar
cd bin
jar cf ../%{name}.jar com
cd ..

# Build the javadoc documentation
javadoc -d api -link file://%{_javadocdir}/java \
  -sourcepath src -classpath bin com.noisepages.nettoyeur.jack

# build.xml tries to build both 32-bit and 64-bit shared libraries, and
# also doesn't use our CFLAGS.  Fix both problems with a manual build.
cd src/com/noisepages/nettoyeur/jack
gcc $RPM_OPT_FLAGS -I%{_jvmdir}/java/include -I%{_jvmdir}/java/include/linux \
  -I%{_includedir}/jack -I. -shared -fPIC -o ../../../../../libjacknative.so \
  jacknative.c $RPM_LD_FLAGS -ljack

%install
mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 644 %{name}.jar %{buildroot}%{_libdir}/%{name}
install -m 755 libjacknative.so %{buildroot}%{_libdir}/%{name}

mkdir -p %{buildroot}%{_jnidir}
ln -s %{_libdir}/%{name}/%{name}.jar %{buildroot}%{_jnidir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}
cp -a api %{buildroot}%{_javadocdir}/%{name}

%files
%doc README
%license LICENSE
%{_libdir}/%{name}/
%{_jnidir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.20120218git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.20120218git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 17 2015 Jerry James <loganjerry@gmail.com> - 0-0.9.20120218git
- Use license macro

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20120218git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20120218git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 26 2014 Jerry James <loganjerry@gmail.com> - 0-0.6.20120218git
- Require java-headless instead of java
- Link with the Java javadocs

* Wed Feb 19 2014 Jerry James <loganjerry@gmail.com> - 0-0.5.20120218git
- Add a link to the jar in jnidir
- Link with RPM_LD_FLAGS
- Do not explicitly R jpackage-utils in the -javadoc package

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20120218git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20120218git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20120218git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May  2 2012 Jerry James <loganjerry@gmail.com> - 0-0.1.20120218git
- Initial RPM
